Finds last index of an infix. [:running:] [:vhs:] [:package:] [:moon:] [:ledger:]
> Alternatives: [searchInfix], [searchInfixRight], [searchInfixAll].<br>
> Similar: [isInfix], [searchInfix].<br>
> Similar: [search], [scan], [find].<br>
> This is part of package [extra-array].

[extra-array]: https://www.npmjs.com/package/extra-array

```javascript
array.searchInfixRight(x, y, [fc], [fm]);
// x:  an array
// y:  search infix
// fc: compare function (a, b)
// fm: map function (v, i, x)
```

```javascript
const array = require('extra-array');

var x = [1, 2, 3, 4];
var y = [2, 3];
array.searchInfixRight(x, y);
// 1

var y = [-2, -3];
array.searchInfixRight(x, y);
// -1

array.searchInfixRight(x, y, (a, b) => Math.abs(a) - Math.abs(b));
// 1

array.searchInfixRight(x, y, null, v => Math.abs(v));
// 1
```

### references

- [Data.List.isInfixOf: Haskell](https://hackage.haskell.org/package/base-4.12.0.0/docs/Data-List.html#v:isInfixOf)
- [List-Extra.isInfixOf: elm](https://package.elm-lang.org/packages/elm-community/list-extra/7.1.0/List-Extra#isInfixOf)

[:running:]: https://npm.runkit.com/@extra-array/search-infix-right
[:package:]: https://www.npmjs.com/package/@extra-array/search-infix-right
[:moon:]: https://www.npmjs.com/package/@extra-array/search-infix-right.min
[:ledger:]: https://unpkg.com/@extra-array/search-infix-right/
[searchInfix]: https://github.com/nodef/extra-array/wiki/searchInfix
[searchInfixRight]: https://github.com/nodef/extra-array/wiki/searchInfixRight
[searchInfixAll]: https://github.com/nodef/extra-array/wiki/searchInfixAll
[isInfix]: https://github.com/nodef/extra-array/wiki/isInfix
[search]: https://github.com/nodef/extra-array/wiki/search
[scan]: https://github.com/nodef/extra-array/wiki/scan
[find]: https://github.com/nodef/extra-array/wiki/find
[:vhs:]: https://asciinema.org/a/342307
